import microRequest from '../../utils/micro_request';

const sciPath = import.meta.env.VITE_SCIENTIFIC

export function useProjectApi() {
  return {
    // 综合项目列表 (包含纵向横向校内等)
    getList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProject', 'GetList', query);
    },
    // 纵向项目
    getVerticalList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectVertical', 'GetSciProjectVerticalList', query);
    },
    // 获取纵向项目详情
    getVerticalEntityById: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectVertical', 'GetSciProjectVerticalById', query);
    },
    // 横向项目
    getHorizontalList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectHorizontal', 'GetList', query);
    },
    // 获取横向项目详情
    getHoriEntityById: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectHorizontal', 'GetEntityById', query);
    },
    // 校内项目
    getSpontaneityList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectSpontaneity', 'GetSciProjectSpontaneityList', query);
    },
    // 获取校内项目详情
    getSpontaneityEntityById: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectSpontaneity', 'GetSciProjectSpontaneityById', query);
    },
    // 项目变更信息列表
    getProjectDetailsList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectChange', 'GetProjectDetailsList', query);
    },
    // 获取项目变更详情
    getProjectChangeDetail: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectChange', 'GetDetail', query);
    },
    // 中检任务列表
    getTaskList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectInspection', 'GetTaskList', query);
    },
    // 中检任务详情
    getTaskDetail: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectInspection', 'GetTaskDetail', query);
    },
    // 横向项目中检详情
    getHorizontalInspTaskDetail: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectInspection', 'GetHorizontalInspTaskDetail', query);
    },
    // 获取文件列表
    getFileList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectFileConfigure', 'GetFileList', query);
    },
    // 科研成果-学术论文
    getPaperByProject: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciAchieve', 'GetPaperByProjectId', query);
    },
    // 科研成果-学术著作
    getWorkByProject: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciAchieve', 'GetWorkByProjectId', query);
    },
    // 科研成果-学术专利
    getPatentByProject: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciAchieve', 'GetPatentByProjectId', query);
    },
    // 科研成果-奖项荣誉
    getAwardsByProject: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciAchieve', 'GetAwardsByProjectId', query);
    },
    // 结题任务列表
    getConclusionTaskList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciProjectConclusion', 'GetTaskList', query);
    },
    // 经费入账记录列表
    getRecordList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciFundAllot', 'GetList', query);
    },
    // 经费外拨列表
    getOutBoundList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciFundExternalAllot', 'GetList', query);
    },
    // 经费支出列表
    getExpenseList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciFundExpense', 'GetProjectList', query);
    },
    // 经费统计
    getFundsStatistics: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciFundAllot', 'GetFundsStatistics', query);
    },
    // 伦理信息列表
    getEthicalReviewList: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciEthicalReview', 'GetList', query);
    },
    // 学术不端校验
    checkUserViolationStatus: (query?: object) => {
      return microRequest.postRequest(sciPath, 'SciAcademicMisconduct', 'CheckUserViolationStatus', query);
    }
  }
}
